Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 766604 - Review Request: Bashmount
Summary: Review Request: Bashmount
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-12-12 12:28 UTC by Harsh Verma
Modified: 2015-12-11 16:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:12:38 UTC


Attachments (Terms of Use)

Description Harsh Verma 2011-12-12 12:28:04 UTC
Spec URL: http://yevlempy.fedorapeople.org/bashmount.spec
SRPM URL: http://yevlempy.fedorapeople.org/bashmount-1.6.0-1.fc15.src.rpm
Description: Hi, i just packaged bashmount which is a menu-driven bash script that uses udisks to easily mount, unmount or eject removable devices without dependencies on any GUI or desktop environments. Its my first package.

Comment 1 Cédric OLIVIER 2011-12-12 18:35:02 UTC
* Could you move %defattr at the top of %files (it's a cosmetic change, but %defattr tends to be used at the top of %files)

* Could you remove #Requires comments

* Could you remove "bash" build requires dependencies and add udisks(http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2)

For URL project page, http://sourceforge.net/projects/bashmount/ seems to be more complete than https://gitorious.org/bashmount/bashmount

Comment 2 Rahul Sundaram 2011-12-13 02:51:02 UTC
* You can just drop the defattr completely since its fully redundant now.

Comment 3 Harsh Verma 2011-12-13 05:46:26 UTC
Thanks folks for review. Have made the mentioned changes. Kindly check.

Spec URL: http://yevlempy.fedorapeople.org/bashmount.spec

Comment 4 Cédric OLIVIER 2011-12-13 12:30:58 UTC
You have updated your spec file, so you can increase release number and fill in changelog.

Comment 5 Harsh Verma 2011-12-13 13:45:35 UTC
Done

Comment 6 Rahul Sundaram 2011-12-14 08:18:03 UTC
You have updated it only in the changelog.  Bump up the release number as well.  Post the new spec and srpm link.  Make sure you run rpmlint to check for errors and warnings.

Comment 7 Harsh Verma 2011-12-14 18:18:04 UTC
My bad, i totally missed increasing the release number. Have fixed that.

Spec URL : http://yevlempy.fedorapeople.org/bashmount.spec
SRPM URL : http://yevlempy.fedorapeople.org/bashmount-1.6.0-2.fc15.src.rpm


As far as rpmlint is concerned, it gives no error but gives like around 8 warnings but that is basically due to spelling errors like udisks being taken as u disks in en_US, cant do anything about those kinda warnings. A different warning is, bashmount lacks a man page.

Comment 8 Miroslav Suchý 2015-07-21 13:22:43 UTC
Ping? Any progress here?
Harsh are you still interrested in this package?
Michael can you finish this review or reassign it back to nobody?

Comment 9 James Hogarth 2015-12-04 03:23:30 UTC
Hi Harsh

It has been been quite some time since the last comments

Are you still intending to progress this?

As per policy if there is no update for a week this bug will be closed.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 10 James Hogarth 2015-12-11 16:12:38 UTC
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.


Note You need to log in before you can comment on or make changes to this bug.